Change Agent VM root user password

Change Agent VM root user password

Endpoint to update Agent environment SSH root user password.
Authorized Roles : PROVIDER or ORG_ADMIN

Request
URI
PUT
https://{api_host}/provider/environments/{id}/password
COPY
Path Parameters
string
id
Required

ID of the environment


Request Body
ChangeAppliancePasswordDto of type(s) application/json
Required
{
    "currentPassword": "string",
    "newPassword": "string"
}
string As ^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[?!@#$%^&*])[A-Za-z\d?!@#$%^&*]{8,20}$
currentPassword
Required

currentPassword

string As ^(?=.*?[A-Z])(?=.*?[a-z])(?=.*?[0-9])(?=.*?[?!@#$%^&*])[A-Za-z\d?!@#$%^&*]{8,20}$
newPassword
Required

newPassword

Authentication
This operation uses the following authentication methods.
Responses
202

Password Updated Successfully

Returns MasterTaskResult of type(s) application/vnd.vmware.dms-v1+json
{
    "task_id": "string"
}
string As uuid As uuid
task_id
Optional

task_id


400

Bad Request

Operation doesn't return any data structure